pcl::detail::CopyPointHelper< PointInT, PointOutT, std::enable_if_t< std::is_same< PointInT, PointOutT >::value > > Struct Template Reference

`#include <pcl/common/impl/copy_point.hpp>`

## Public Member Functions

void | operator() (const PointInT &point_in, PointOutT &point_out) const

## Detailed Description

### template<typename PointInT, typename PointOutT>
struct pcl::detail::CopyPointHelper< PointInT, PointOutT, std::enable_if_t< std::is_same< PointInT, PointOutT >::value > >

Definition at line 80 of file copy_point.hpp.

## Member Function Documentation

## operator()()

template<typename PointInT , typename PointOutT >

void pcl::detail::CopyPointHelper< PointInT, PointOutT, std::enable_if_t< std::is_same< PointInT, PointOutT >::value > >::operator() | ( | const PointInT & | point_in,
|  | PointOutT & | point_out
| ) |  | const

inline

Definition at line 82 of file copy_point.hpp.

The documentation for this struct was generated from the following file:

- pcl/common/impl/copy_point.hpp